﻿using Syncfusion.Windows.Shared;
using Syncfusion.Windows.Tools.Controls;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace AutoCompleteContextMenusample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            autoComplete.Loaded += AutoComplete2_Loaded;
            ContextMenu contextMenu = new ContextMenu();
            autoComplete.ContextMenu = contextMenu;
            MenuItem menuItem1 = new MenuItem();
            menuItem1.Header = "Menuitem1";
            MenuItem menuItem2 = new MenuItem();
            menuItem2.Header = "Menuitem2";
            contextMenu.Items.Add(menuItem1);
            contextMenu.Items.Add(menuItem2);            
        }

        private void AutoComplete2_Loaded(object sender, RoutedEventArgs e)
        {
            TextBox textBox = VisualUtils.FindDescendant((sender as AutoComplete) as Visual, typeof(TextBox) )as TextBox;
            textBox.ContextMenu = null;
        }
    }

    public class EmployeeList
    {
        public int EmployeeID { get; set; }
        public string Name { get; set; }
        public string Mailid { get; set; }
        public EmployeeList() { }
        public EmployeeList(string name, string mail, int id)
        {
            Name = name;
            Mailid = mail;
            EmployeeID = id;
        }
    }
    public class EmployeeListCollection : ObservableCollection<EmployeeList>
    {
        public EmployeeListCollection()
        {
            this.Add(new EmployeeList() { EmployeeID = 1001, Name = "John", Mailid = "john@syncfusion.com" });
            this.Add(new EmployeeList() { EmployeeID = 1002, Name = "Jerry", Mailid = "Jerry@syncfusion.com" });
            this.Add(new EmployeeList() { EmployeeID = 1003, Name = "Brad", Mailid = "Brad@syncfusion.com" });
            this.Add(new EmployeeList() { EmployeeID = 1004, Name = "lanze", Mailid = "lanze@syncfusion.com" });
            this.Add(new EmployeeList() { EmployeeID = 1005, Name = "Chambel", Mailid = "Chambel@syncfusion.com" });
            this.Add(new EmployeeList() { EmployeeID = 1006, Name = "Crimson", Mailid = "Crimson@syncfusion.com" });
        }
    }
}
